### Encoding: latin1

### Name: angleplotmap
### Title: Detection of an eventual directional trend
### Aliases: angleplotmap
### Keywords: spatial

### ** Examples

# Data  afcon
data(afcon)
africa <- readOGR(system.file("vectors/Africa.MIF", package = "GeoXp")[1],
"Africa")

africa.contour<-spdf2list(africa)$poly

obs<-angleplotmap(afcon$x,afcon$y,afcon$totcon,listvar=afcon,
listnomvar=names(afcon),label=afcon$name,cex.lab=0.5,quantiles=c(0.1,0.5,0.95),
criteria=(afcon$totcon>mean(afcon$totcon)),carte=africa.contour)

# Data Meuse
data(meuse)
data(meuse.riv)
obs<-angleplotmap(meuse$x,meuse$y,meuse$copper,
col="green",quantiles=0.9,
listvar=meuse,listnomvar=names(meuse),
xlab="Concentration en plomb (en ppm)",pch=7,carte=meuse.riv)



